Skip to main content
PATCH
/
api
/
v1
/
squads
/
{squadId}
/
transfer-rules
/
{ruleId}
Update transfer rule
curl --request PATCH \
  --url https://prod.featherhq.com/api/v1/squads/{squadId}/transfer-rules/{ruleId} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "allowManualTrigger": true,
  "toolDescription": "<string>",
  "variables": [
    {
      "name": "<string>",
      "description": "<string>",
      "required": true
    }
  ],
  "speakBeforeTransfer": "<string>"
}
'
{
  "transferRule": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "squadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "fromAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "toAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "allowManualTrigger": true,
    "toolDescription": "<string>",
    "variables": [
      {
        "name": "<string>",
        "description": "<string>",
        "required": true
      }
    ],
    "speakBeforeTransfer": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "fromAgent": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "toAgent": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

squadId
string<uuid>
required
ruleId
string<uuid>
required

Body

application/json
allowManualTrigger
boolean
toolDescription
string
Maximum string length: 500
variables
object[] | null
speakBeforeTransfer
string | null

Response

Transfer rule updated successfully

transferRule
object
required